@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-image: url("../images/background.png");
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
    font-family: 'Poppins', sans-serif;
    min-height: 100vh;
}

header {
    display: flex;
    /* justify-content: center; */
    padding: 0 2rem;
    box-shadow: 0 0 18px rgba(0, 0, 0, 0.3);
}

header div {
    padding: 8px;
    flex: 1;
    height: 5rem;
    display: flex;
    align-items: center;
}

header div:nth-child(2) {
    justify-content: center;
}

header div:nth-child(3) {
    justify-content: end;
}

header .settings {
    width: 2.5rem;
}

header a {
    font-size: 1.25rem;
    color: black;
}

main {
    padding: 4rem 1rem 2rem 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
}

main .bemvindo {
    transition: 500ms;
}

main .texto {
    font-size: 4rem;
    font-weight: bold;
    text-align: center;
}

main .subtexto {
    text-align: center;
}

#setorMenu {
    width: 10rem;
    height: 2rem;
    padding-left: 10px;
    background-color: white;
    font-weight: bold;
    border-radius: 8px;
    border: none;
    box-shadow: 0 2px 8px gray;
    color: gray;
}

.searchBox {
    width: 50%;
    min-width: 400px;
    height: 3rem;
    display: flex;
    box-shadow: 0 2px 8px gray;
    border-radius: 16px;
    overflow: hidden;
    background-color: white;
}

.searchBox input {
    flex-grow: 1;
    border: none;
    padding: 1rem;
    padding-left: 1.5rem;
    padding-right: 0;
}

.searchBox input::placeholder {
    font-size: 1rem;
    font-weight: bold;
}

.searchBox button {
    background: none;
    border: none;
    width: 2rem;
    height: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    cursor: pointer;
}

#solicitacoesContainer {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 40%;
    min-width: 400px;
}

#solicitacoesContainer > div {
    box-shadow: 0 0 6px grey;
    padding: 1rem;
    border-radius: 16px;
    width: 100%;
    background-color: white;
}

.solicInput {
    padding-top: 0.5rem;
}

.solicInput input {
    padding: 0.5rem;
    width: 100%;
    border-radius: 8px;
}

.solicheader {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.solicheader img {
    transition: 300ms;
    width: 2rem;
    cursor: pointer;
}

.rotate {
    transform: rotate(180deg);
}

.hide {
    animation: disappear 1s forwards;
}

.move {
    animation: move 1s forwards cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

@keyframes disappear {
    from {
        transform: scaleY(1);
    }
    to {
        transform: scaleY(0);
    }
}

@keyframes move {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(-10rem);
    }
}

.submit {
    background-color: black;
    color: white;
    font-weight: bolder;
    padding: 1rem 5rem;
    border: none;
    box-shadow: 0 2px 8px gray;
    font-size: 1rem;
    cursor: pointer;
}